###############################
#
#  MAIN CONFIG FILE FOR VSFTPD
#
#  /etc/vsftpd.conf
#
#  if you want xinetd,
#    listen=NO
#    tcp_warppers=YES
#
###############################

#########
# BASICS
#########
listen=NO
background=YES
ftpd_banner=ftp@leviathan
nopriv_user=vsftpd

#########
# USERS
#########
anonymous_enable=NO
local_enable=YES
chroot_local_user=YES
userlist_enable=YES
userlist_deny=NO
userlist_file=/etc/vsftpd.user_list

##########
# SERVER
##########
write_enable=YES
ascii_upload_enable=YES
ascii_download_enable=YES
local_umask=022
connect_from_port_20=YES
idle_session_timeout=600
data_connection_timeout=120
ls_recurse_enable=YES
xferlog_enable=YES
xferlog_std_format=YES
xferlog_file=/var/log/vsftpd.log

##########
# XINETD
##########
tcp_wrappers=YES
pam_service_name=vsftpd

##############
# MONITORING
##############
# watch ps -C vsftpd -o user,pid,stime,cmd
setproctitle_enable=YES

# end

